
%global meadversion 3.1.3
%global namedversion 3.1.3.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 3

%bcond_without mead

%{?scl:%scl_package woodstox-stax2-api}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/woodstox-stax2-api-eap6}
%{!?scl:%global javadir %{_javadir}/woodstox-stax2-api-eap6}

%define maven_version 3.1.3.redhat-1

Name:           %{?scl_prefix}woodstox-stax2-api%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Stax2 API
License:        BSD
Group:          Development/Java

%if %with mead
Source100: stax2-api-3.1.3.redhat-1-scm-sources.zip
Source102: stax2-api-3.1.3.redhat-1-javadoc.jar
Source103: stax2-api-3.1.3.redhat-1-sources.jar
Source104: stax2-api-3.1.3.redhat-1.pom
Source105: stax2-api-3.1.3.redhat-1.jar
%endif

URL:            http://wiki.fasterxml.com/WoodstoxStax2
Provides:       %{?scl_prefix}stax2-api%{?eap} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}woodstox-stax2-api%{?eap}-%{namedversion}-%{release}-root

%description
Stax2 API is an extension to basic Stax 1.0 API that adds significant new
functionality, such as full-featured bi-direction validation interface and high-
performance Typed Access API.

%prep
%setup -q -n stax2-api -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/stax2-api-%{namedversion}.jar %{buildroot}%{javadir}/stax2-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/stax2-api-%{namedversion}-sources.jar %{buildroot}%{javadir}/stax2-api-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md
%dir %{javadir}
%{javadir}/stax2-api-%{namedversion}.jar
%{javadir}/stax2-api.jar
%{javadir}/stax2-api-%{namedversion}-sources.jar
%{javadir}/stax2-api-sources.jar

%changelog
* Wed Jul 23 2014 David Walluck <dwalluck@redhat.com> - 3.1.3-3.redhat_1.1
- release

